> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lunary.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Feedback Tracking



## OpenAPI

````yaml https://api.lunary.ai/v1/openapi patch /v1/runs/{id}/feedback
openapi: 3.0.0
info:
  title: Lunary API
  version: 1.0.0
servers:
  - url: https://api.lunary.ai
security: []
tags: []
paths:
  /v1/runs/{id}/feedback:
    patch:
      tags:
        - Runs
        - Feedback
      summary: Feedback Tracking
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Feedback'
            example:
              thumb: up
              comment: This response was very helpful!
      responses:
        '200':
          description: Feedback updated successfully
        '400':
          description: Invalid input
      security:
        - ProjectPrivateApiKeyAuth: []
components:
  schemas:
    Feedback:
      type: object
      properties:
        thumb:
          type: string
          enum:
            - up
            - down
        comment:
          type: string
  securitySchemes:
    ProjectPrivateApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: 'Use a project private API key via `Authorization: Bearer <key>`.'

````